Subject: is this a sick joke ?
From: Dennis Clarke <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jul 2020 19:20:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

alpha$ pwd
/opt/bw/build/grep-3.4_sunos5.10_sparcv9.002
alpha$
alpha$ ./configure --prefix=/opt/bw --disable-silent-rules \
> --enable-dependency-tracking --enable-threads=posix \
> --without-gnu-ld --with-libsigsegv-prefix=/opt/bw \
> --with-libiconv-prefix=/opt/bw \
> --with-libintl-prefix=/opt/bw 2>&1 | tee
../grep-3.4_sunos5.10_sparcv9.002.config.log
configure: error: no working 'grep' found
  A working 'grep' command is needed to build GNU Grep.
  This 'grep' should support -e and long lines.
  On Solaris 10, install the package SUNWggrp or SUNWxcu4.
  On Solaris 11, install the package text/gnu-grep or system/xopen/xcu4.
alpha$

Excuse me ?

alpha$
alpha$ which grep
/usr/local/bin/grep
alpha$
alpha$ grep --version
grep (GNU grep) 3.1
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and others, see
<http://git.sv.gnu.org/cgit/grep.git/tree/AUTHORS>.
alpha$
alpha$
alpha$ ls -lap /usr/xpg4/bin/grep
-r-xr-xr-x   3 root     bin        18652 Nov 18  2013 /usr/xpg4/bin/grep
alpha$
alpha$

I have GNU grep and I also have real XPG4 type grep ?

What grep does grep need to beuild grep for a new grep?

Curious what pre-requisite grep that grep needs for grep.

would love to hear back which I work on GNU autoconf beta
today :

https://lists.gnu.org/r/autoconf/2020-07/msg00006.html

What magic grep does grep want ?

-- 
Dennis Clarke
RISC-V/SPARC/PPC/ARM/CISC
UNIX and Linux spoken
GreyBeard and suspenders optional